GDCM: gdcm::RAWCodec Class Reference

GDCM 3.2.10

Public Member Functions | Protected Member Functions | List of all members
gdcm::RAWCodec Class Reference

RAWCodec class. More...

`#include <gdcmRAWCodec.h>`

Inheritance diagram for gdcm::RAWCodec:
[legend]
Collaboration diagram for gdcm::RAWCodec:
[legend]

## Public Member Functions
| RAWCodec ()
| ~RAWCodec () override
bool | CanCode (TransferSyntax const &ts) const override
| Return whether this coder support this transfer syntax (can code it).
bool | CanDecode (TransferSyntax const &ts) const override
| Return whether this decoder support this transfer syntax (can decode it).
ImageCodec * | Clone () const override
bool | Code (DataElement const &in, DataElement &out) override
| Code.
bool | Decode (DataElement const &is, DataElement &os) override
| Decode.
bool | DecodeBytes (const char *inBytes, size_t inBufferLength, char *outBytes, size_t inOutBufferLength)
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts) override
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec () override
bool | CleanupUnusedBits (char *data, size_t datalen)
const unsigned int * | GetDimensions () const
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetDimensions (const unsigned int d[3])
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
virtual void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)
Public Member Functions inherited from gdcm::Coder
virtual | ~Coder ()=default
Public Member Functions inherited from gdcm::Decoder
virtual | ~Decoder ()=default

## Protected Member Functions
bool | DecodeByStreams (std::istream &is, std::ostream &os) override
Protected Member Functions inherited from gdcm::ImageCodec
virtual bool | AppendFrameEncode (std::ostream &out, const char *data, size_t datalen)
virtual bool | AppendRowEncode (std::ostream &out, const char *data, size_t datalen)
bool | DoByteSwap (std::istream &is_, std::ostream &os)
bool | DoInvertMonochrome (std::istream &is_, std::ostream &os)
bool | DoOverlayCleanup (std::istream &is_, std::ostream &os)
bool | DoPaddedCompositePixelCode (std::istream &is_, std::ostream &os)
bool | DoPlanarConfiguration (std::istream &is_, std::ostream &os)
bool | DoSimpleCopy (std::istream &is_, std::ostream &os)
bool | DoYBR (std::istream &is_, std::ostream &os)
bool | DoYBRFull422 (std::istream &is_, std::ostream &os)
virtual bool | IsFrameEncoder ()
virtual bool | IsRowEncoder ()
virtual bool | IsValid (PhotometricInterpretation const &pi)
virtual bool | StartEncode (std::ostream &os)
virtual bool | StopEncode (std::ostream &os)
Protected Member Functions inherited from gdcm::Coder
virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)

## Additional Inherited Members
Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Attributes inherited from gdcm::ImageCodec
unsigned int | Dimensions [3]
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
bool | NeedOverlayCleanup
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
unsigned int | PlanarConfiguration
bool | RequestPaddedCompositePixelCode
bool | RequestPlanarConfiguration

## Detailed Description

RAWCodec class.

## Constructor & Destructor Documentation

## ◆ RAWCodec()

gdcm::RAWCodec::RAWCodec | ( |  | ) |

## ◆ ~RAWCodec()

gdcm::RAWCodec::~RAWCodec | ( |  | ) |
| override

## Member Function Documentation

## ◆ CanCode()

bool gdcm::RAWCodec::CanCode | ( | TransferSyntax const & |  | ) | const
| overridevirtual

Return whether this coder support this transfer syntax (can code it).

Reimplemented from gdcm::ImageCodec.

## ◆ CanDecode()

bool gdcm::RAWCodec::CanDecode | ( | TransferSyntax const & |  | ) | const
| overridevirtual

Return whether this decoder support this transfer syntax (can decode it).

Reimplemented from gdcm::ImageCodec.

## ◆ Clone()

ImageCodec * gdcm::RAWCodec::Clone | ( |  | ) | const
| overridevirtual

Implements gdcm::ImageCodec.

References gdcm::ImageCodec::ImageCodec().

## ◆ Code()

bool gdcm::RAWCodec::Code | ( | DataElement const & | in_,
|  | DataElement & | out_ )
| overridevirtual

Code.

Reimplemented from gdcm::Coder.

## ◆ Decode()

bool gdcm::RAWCodec::Decode | ( | DataElement const & | ,
|  | DataElement & | )
| overridevirtual

Decode.

Reimplemented from gdcm::ImageCodec.

## ◆ DecodeByStreams()

bool gdcm::RAWCodec::DecodeByStreams | ( | std::istream & | is,
|  | std::ostream & | os )
| overrideprotectedvirtual

Reimplemented from gdcm::ImageCodec.

## ◆ DecodeBytes()

bool gdcm::RAWCodec::DecodeBytes | ( | const char * | inBytes,
|  | size_t | inBufferLength,
|  | char * | outBytes,
|  | size_t | inOutBufferLength )

Used by the ImageStreamReader– converts a read in buffer into one with the proper encodings.

## ◆ GetHeaderInfo()

bool gdcm::RAWCodec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts )
| overridevirtual

Reimplemented from gdcm::ImageCodec.

The documentation for this class was generated from the following file:

- gdcmRAWCodec.h